Subject: Re: [Tsvwg] taking NewReno (RFC 2582) to Proposed Standard (fwd)

From: "Armando L. Caro Jr." <[email-masked]>
Date: Fri, 23 May 2003 13:01:06 -0400 (EDT)

I am resending a mail that never seemed to get through (hmmm...)

---------- Forwarded message ----------
Date: Thu, 22 May 2003 17:28:20 -0400 (EDT)
From: Armando L. Caro Jr. <[email-masked]>
Reply-To: Armando L. Caro Jr. <[email-masked]>
To: Kacheong Poon <[email-masked]>
Cc: [email-masked]
Subject: Re: [Tsvwg] taking NewReno (RFC 2582) to Proposed Standard

On Thu, 22 May 2003, Kacheong Poon wrote:

> ----
> Consider this case, an app using TCP has a brief moment
> (much shorter than one RTT) of pause such that the number of
> outstanding segments in the network is less than the current cwnd.
> Should TCP reduce the cwnd because of this?  I guess most, if not
> all, people agree that cwnd should probably be reduced if the pause
> is longer than one RTT, as described in RFC 2861.  This is the idea
> behind "Use-it or Lose-it."  But for a period less than one RTT, I
> suspect that most people will say no.
> ----
>
> Do most people agree with the last statement?

I think it doesn't matter how a burst is caused (e.g, application pauses,
reordering, lost acks, fast recovery exited, etc)... a burst is a burst.

I agree with Pasi in that if maxburst = 3, then method (1) and (3)
perform equally. In that case, I prefer method (3)... which is really what
we meant to specify when specifying method (2) in the SCTP implementer's
guide.

Method (3) becomes more conservative in comparison to method (1) as
maxburst increases beyond 3. Like Mark, I prefer to not introduce another
variable for limiting the sending rate, but if the acceptable maxburst is
significantly larger than 3, then method (3) will hurt performance in
large bandwidth-delay environments.

So the questions are:

1. What is an acceptable maxburst?

2. If maxburst > 3, then can we devise a variation on method (3) that
performs as well as method (1)?

~armando

0--                                                  --0
| Armando L. Caro Jr.      |  Protocol Engineering Lab |
| www.cis.udel.edu/~acaro  |    University of Delaware |
0--                                                  --0

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg